#if !defined(QUICK_H)
	#include <quick.h>
#endif


class Set{
    protected:
	word *Array;
    word ArraySize;
    public:
	word Size;
    Set(word s=256);
    cdecl ~Set();
    word operator [](word i);
	void operator +=(word o);
	void operator -=(word o);
	void operator +=(Set& o);
	void operator -=(Set& o);
};

class string {
private:
protected:
public:
	char str[258];
	string();
	string(char *s);
	string(string& s);
	string(string* s);
	string(char s);
    cdecl ~string();
	word operator ==(string& s) const volatile;
	word operator ==(char* s) const volatile;
	word operator !=(string& s) const volatile
	 {return !(*this==s);};
	word operator !=(char* s) const volatile
	 {return !(*this==s);};
	string operator +(char s) const volatile;
	string operator +(char *s) const volatile;
	string operator +(string& st) const volatile;
	char *operator +=(char s) volatile;
	char *operator +=(char *s) volatile;
	char *operator +=(string& st) volatile;
	operator char *() const volatile
	{return (char *)(str+1);};
	char operator [](word Index) const volatile
		{return str[Index];}
	int length() const volatile{return str[0];};
};

extern string operator +(char *s,string st);
extern string operator +(char c,string& s);
extern word operator!=(char* s,string& st);
extern word operator==(char* s,string& st);
